Subject: [bug#42511] [PATCH v2 1/2] gnu: python-slugify: Update to 4.0.1.

From: Pierre Langlois <[email-masked]>
Date: Mon, 27 Jul 2020 10:17:32 +0100

Tanguy Le Carrour writes:

> Hi Pierre,
>
> Le 07/25, Pierre Langlois a écrit :
>> Tanguy Le Carrour writes:
>> 
>> > * gnu/packages/patches/python-slugify-depend-on-unidecode.patch: Delete file.
>> […]
>> I remember adding this patch, without it csvkit doesn't build […]
>> I'm not familiar enough with the python build/test process to know for
>> sure if this is an issue with csvkit or python-slugify. We could just
>> package the python-text-unidecode package, but AFAIU the
>> python-unidecode package we already have is equivalent so it should be
>> OK. But somehow csvkit's check procedure doesn't see that.
>> 
>> Should we keep this patch around? Or maybe somebody has a better idea of
>> what's going on? I realise now I should have added a comment here :-).
>
> Thanks for raising the issue!
> As we already have `python-text-unidecode`, I tried patching `csvkit` and
> it builds again. But I haven't tried `csvkit` itself!
> Does it sound like a proper solution to you?

Oh, I didn't realise we already had this package, yep, that sounds great
to me!

Thanks,
Pierre